{ config, lib, ... }:
with lib;
{
    options.email = {
        fromAddress = mkOption {
            type = types.str;
            example = "noreply@example.com";
            description = ''
                E-Mail address automated e-mails are sent from.
            '';
        };
        fromIdentity = mkOption {
            type = types.str;
            default = "${config.networking.hostName} <${config.email.fromAddress}>";
            example = "Maintenance (no reply) <noreply@example.com>";
            description = ''
                E-Mail identity automated e-mails are sent from.
            '';
        };
        adminEmail = mkOption {
            type = types.str;
            example = "admin@example.com";
            description = ''
                E-Mail address automated e-mails are sent to.
            '';
        };
    };
}
